package com.seer.teach.common.enums;

import lombok.Getter;

/**
 * 学豆配置启用状态标识枚举类
 */
@Getter
public enum CoinConfigEnableEnum {

    DISABLED(0, "禁用"),
    ENABLED(1, "启用");

    private final Integer code;
    private final String message;

    CoinConfigEnableEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    /**
     * 根据code获取对应的枚举
     *
     * @param code 状态码
     * @return 对应的枚举对象
     */
    public static CoinConfigEnableEnum getByCode(Integer code) {
        for (CoinConfigEnableEnum coinConfigEnableEnum : values()) {
            if (coinConfigEnableEnum.getCode().equals(code)) {
                return coinConfigEnableEnum;
            }
        }
        return null;
    }
}
